import request from '@/utils/request'

// 查询SAI审批附件列表
export function listFile(query) {
  return request({
    url: '/production/saiFile/list',
    method: 'get',
    params: query
  })
}

// 查询SAI审批附件详细
export function getFile(id) {
  return request({
    url: '/production/saiFile/' + id,
    method: 'get'
  })
}

// 新增SAI审批附件
export function addFile(data) {
  return request({
    url: '/production/saiFile',
    method: 'post',
    data: data
  })
}

// 修改SAI审批附件
export function updateFile(data) {
  return request({
    url: '/production/saiFile',
    method: 'put',
    data: data
  })
}

// 删除SAI审批附件
export function delFile(id) {
  return request({
    url: '/production/saiFile/' + id,
    method: 'delete'
  })
}

// 导出SAI审批附件
export function exportFile(query) {
  return request({
    url: '/production/saiFile/export',
    method: 'get',
    params: query
  })
}
